Help Me Draw A Dome [TUTORIAL]
-
I just noticed that under Window > Components, the dome is still upside down.
Is that normal?
-
Hi Gai
Sorry for posting in parts, but I was using the orbit tool to look around the dome and then when I brought my dome back to what it was, the entire colouring of the dome went crazy. The dome was in an xrayed format yet I didn't select xray.
Sketch Attached.
-
@d0me said:
I just noticed that under Window > Components, the dome is still upside down.
Is that normal?
Yes, unfortunately the thumbnails do not refresh. I would not call it a bug as they have never "tried" to fix it - rather a lack of feature.
If you want to change that, here is how (and it's a useful tool anyway).
- Right click on a component either in the model space or in the component browser and "Save as..."
- Remember where you save it - and open that file (now also learn that components are actually full fledges skp models - just "embedded" into your model) it will open "normally" - i.e. not upside down.
- Orbit to have the best view as you wish (turn on colours again, turn off hidden geometry) and simply save.
- Now go back to your original model, right click the component again and "Reload".
Now the thumbnail will change, too. Do it - just out of practice, if you wish.
-
@d0me said:
The dome was in an xrayed format yet I didn't select xray.
Well, the dome IS in X-ray. Press the X-ray button in your face style toolbar and it gets back to normal.
Also, maybe it's time to go back to Perspective mode (at least to me, it feels so much more comfortable and natural).Next thing will be that "door" or something. So what are the plans? How big, what shape (maybe arched) etc.?
-
@unknownuser said:
Yes, unfortunately the thumbnails do not refresh. I would not call it a bug as they have never "tried" to fix it - rather a lack of feature.
YOU can fix it - select an instance of the component, and type/paste
Sketchup.active_model.selection[0].definition.refresh_thumbnail
into the Ruby Console to refresh the selected component's thumbnail...
Alternatively, type/pasteSketchup.active_model.definitions.each{|d|d.refresh_thumbnail}
into the Ruby Console to refresh all of your component's thumbnails, with no selecting required...
-
An even cleverer way is to write a short script
require 'sketchup.rb' def refreshthumbnails Sketchup.active_model.definitions.each{|d|d.refresh_thumbnail} end#def refreshthumbnails
copy/paste this code into a file called
refreshthumbnails.rb
in the Plugins folder - that way your component thumbnails will update whenever the model opens and typingrefreshthumbnails
into the Ruby Console will fix any changed or new components' thumbnails too...
-
Now you've scared poor D0me away I'm afraid, TIG!
But million thanks for this!
-
Just regard TIG's avatar.
Just your friendly local tiger--wagging his tail and licking his lips. -
Hi Gai
Thanks for the solution.
Tig: You almost scared me away but I came back for more.
On a more serious note, time just has not been on my side these past few days and the little free time that I do have gets spent here.Gai: The opening is 18" in width and 9 Inches High. An arched shaped opening sounds good. The opening should be exactly halfway between 2 slices of the dome.
Thanks
Regards
D0me -
@d0me said:
...time just has not been on my side these past few days and the little free time that I do have gets spent here.
No problem, D0me, we have time.
@d0me said:
The opening is 18" in width and 9 Inches High. An arched shaped opening sounds good.
Any thoughts on a wall thickness?
@d0me said:
The opening should be exactly halfway between 2 slices of the dome.
I was like half expecting this. That's why we needed to set those component axes so meticulously as when a component is now mirrored along its red axis, it won't get out of alignment.
Always think ahead - that's the key for SU as though modelling is quite easy, intuitive and the learning curve is not very steep, existing geometry is not very easy to modify.
So let's continue...
In order to easily draw the "entrance" along the regular axes, we will rotate our whole structure a little bit (note that an easier way to temporarily work with different axes could be to place the axes aligned to our structure but eventually it will be more beneficial for us to do it this way).
I have temporarily grouped everything so that it's easier to rotate together. Alignment of the Rotate tool where there is so much geometry around is not easy but you already know two tricks to do it.
Rotate the whole structure in a way that the seam between two sets of components lie exactly on the red (or green) axis.
Now as we have learnt, whatever changes we make in one instance of a component, it will chage every other instance, too, so where we choose to make the entrance (as you wrote, "exactly halfway between 2 slices") we need to make unique. Make sure to make those two pieces unique whose seam now lies on the axis you have aligned the whole structure just now.
Now I temporarily hid the two new, unique outer dome slices and made the corresponding inner slices unique, too.
Okay, one more thing. If we start "carving" our entrance into the two slices, one instance needs to be mirrored otherwise both halves of the entrance would appear either on the right or left of each slice. This is when it comes handy that we have already set the component axes properly and we can easily flip the components around their red axes without them getting way out of alignment.
If you turn the visibility of the component axes on (Window > Model info > Components), it is very apparent actually. Here I have already flipped one of the components and you can see that the red axis points in the opposite direction.
Now unhide the outer pieces and flip either along its red, too (it does not matter which one actually but to keep track what we are doing, best is to pick the corresponding piece - in this case the right one).
I think we are ready to start designing our entrance now.At this state of the model, I also attach my finished version so that you can compare whatever you end up with, with this one. I think we have lost some colouring somewhere but that does not matter - we can redo that at the end easily again.
-
It's an igloo
-
Yeah - especially with the entrance inserted (I have already tried).
Igloo for dwarves though (mind the scale!)
-
@unknownuser said:
It's an igloo
For 9" high Inuit. I guess they are going to reveal the mystery in the last episode - after all it is a technical thriller.
-
Hi Gai
I'm stuck again.
I did the following.
- I selected my entire sketch, Right Click and selected Make Group
- I then managed to place my rotation tool at the origin along the blue axis and rotated the entire sketch whereby the seam seperating 2 pieces was exactly on the red axis.
- I then selected the 2 pieces sharing the red axis and then right clicked it and selected make unique.
- I then managed to select the top 2 pieces and hide it.
- After hiding the top pieces, I selected the 2 pieces on the inner dome and right click > Make Unique.
- I then turned on the visibility of the component axes.
I am currently stuck at this stage. It seems that my inner dome is not aligned properly for some reason.
I have attached the file.In the interim, I have downloaded the file you attached in your last post. While assisting me in resolving this problem, I'm sure we can go ahead and continue. I can always try to resolve my sketch later.
Look forward to hearing from you
Thanks
Regards
D0me
-
Well, it seems that you either skipped the step when we aligned the component axes (see a couple of posts above) or maybe accidentally went on modelling with a version prior to that (I also have like a dozen of different versions with different stages of the model). Or maybe you played around with the reload function and incidentally reloaded an older version of the inner dome component? Who knows - in the component browser it is also upside down like before.
The outer dome components have the axes aligned correctly.
I also noticed that you hid the geometry inside the outer dome components, not the components themselves (this is of course not a problem but you need to remember this when you want to unhide it).
Now you can do two things
- Do that step (again) when we aligned the axes
- use my version and don't tell the teacher.
-
Probably missed out a step somewhere along the line.
Anyways, once we complete this excercise, I will be doing an exam (Completely redo the dome with a totally different height and diameter). It's good that my mistakes are pointed out now. I will be sure to not make these mistakes on the recap.
For now, we can use your version (Pass me your version under the table while the teacher is not looking)
-
@d0me said:
(Pass me your version under the table while the teacher is not looking)
Okay, it's at the bottom of this post:
http://forums.sketchucation.com/viewtopic.php?p=215353#p215353
Now have you been thinking about the possible wall thickness of your "entrance"?
Well, it's not dead necessary - all depends on the shape (if it has some visible "framing" from outside maybe) -
I think the wall thickness can be the same as the entire dome which is 3 Inches.
-
Okay, some preparation if you excuse me...
I noticed that I have also screwed up my version a bit (dunno when) and we actually have three unique instances of the outer dome - instead of just the two we need. If you right click on the #1 version (that's the unique one) in the component browser and "Select instances", it will highlight three and the Entity info also says there are three of them (the left one in the picture should be the original version of the component)
So select this left one, right click the "should be" one in the component browser and "Replace selected". Sorry for the extra hassle (but in case you need this for later, a good tip I hope).
Now let's start our entrance by first drawing a 18" long line on the green axis with the line tool (it could be anywhere actually - it was quite arbitrary that I started it at that endpoint on the seam). You can type 18 and hit Enter as usually.
Now select the line then pick the Move tool (we haven't used it yet I believe) and grab the line at its Midpoint (midpoints give this cyan inference when not grouped).
Move it too the seam so that it will be exactly in the "middle" in front of our igloo.
Now something important (to make things more comfortable later); select the line if it is not selected any more, go to the Edit menu and Make it a group (for some reason, when only one entity is selected, you cannot group it from the right click/context menu - same with components). We need this to let us hide the rest of the model with our Ctrl+H custom shortcut.Now double click on the group, pick the Arc tool and make sure you are using 24 segments again (type 24s and hit Enter) then make your arc on the blue axis. If you cannot have the blue axis inference because the arc wants to snap to every single endpoint in your igloo model, press Ctrl+H to hide the igloo (this is why we grouped it at the above, early stage). In this case a 9" arc will be a Half circle for which we get a nice inference tooltip.
Finally, pick the PushPull tool and extrude your tunnel through the whole structure. Now it doesn't matter how long you extrude it just make sure that the whole face on the other side be in the dome.
Next step will be some offsetting to make thickness and intersecting the whole thing.
Back to deleting spammers in the Admin panel... -
Hi Gai
SU Has some super cool features especially that Push/Pull tool
I think I'm on track thanks to your version of the file (Shhhhhh!!! don't let Gaieus (Teacher) hear that)
Where to next, Sir?
Advertisement